Legacy CHEESE API

Cluster

Suggest an edit
GET
/cluster

Retrieve a cluster by its ID

This endpoint allows users to get embeddings and molecules of a particular cluster.

Parameters:

  • cluster_id (int): The cluster ID
  • db_name (DatabaseEnum): The database to use for the search.
  • search_type (SearchTypes): The type of search to perform (default is "morgan").
  • save_embs (bool): Whether to save embeddings for the retrieved cluster (default is False)
  • dest (str): Destination path to save the embeddings of the retrieved cluster (default is /tmp/cluster_embeddings).

Returns:

  • A dictionary containing the molecules of the nearest cluster, possibly with a message pointing to the path where to find embeddings

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

cluster_id?Cluster Id
Default0
db_name?DatabaseEnumAll

Selected Database

Default"CHEMINFINITA-SYNTHON"

Value in

  • "CHEMINFINITA-SYNTHON"
  • "CHEMRIYA"
  • "CHEMSPACE-5B-BEYOND-RO5"
  • "CHEMSPACE-5B-FREEDOM"
  • "CHEMSPACE-5B-RO5"
  • "CHEMSPACE-FREEDOM-SYNTHON"
  • "CHEMSPACE-SCREENING"
  • "EMOLECULES-EXPLORE-SYNTHON"
  • "EMOLECULES-SYNPLE-SYNTHON"
  • "ENAMINE-AA"
  • "ENAMINE-REAL"
  • "ENAMINE-REAL-V5A-SYNTHON"
  • "EXPLORE-DIVERSE"
  • "EXPLORE-ENUMERATED"
  • "MCULE-FULL"
  • "MCULE-IN-STOCK"
  • "MOLECULE-ONE"
  • "MOLECULEONE-D2B-SYNTHON"
  • "MOLPORT"
  • "SYNPLE-4B"
  • "XTALPI"
  • "XTALPI-SYNTHON"
  • "ZINC15"
search_type?SearchTypes

The search type

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
save_embs?Save Embs

Whether to save embeddings for the retrieved cluster

Defaultfalse
dest?Dest

Destination path

Default"/tmp/cluster_embeddings"

Response Body

application/json

application/json

curl -X GET "https://example.com/cluster"
null